<div [ngClass]= "backgroundType == 'Gradient' ? 'container' : 'container-img' ">
  <div class="nav">
    <div class="title">
      <i class="fab fa-codepen code-icon"></i>
      Angular Learning
    </div>
    
    <div class="tab">
      <ul>
        <li *ngFor="let item of navBar" [routerLink]="item.url">{{ item.name }}</li>
      </ul>  
    </div>
    
    <div class="sign-in">
      <button>Sign in</button>
    </div>
  </div>

  <div class="content">
    <div class="paragraph">
      <div class="paragraph-header">Paragraph for fill</div>
      <p>
        Lorem ipsum, dolor sit amet consectetur adipisicing elit. 
        Sit dolore minima cupiditate error facilis quis! 
        Vitae vel nostrum est repellendus saepe ullam accusamus quam, 
        qui, laborum nisi eos, cumque voluptatem.
      </p>
      <p>
        Lorem ipsum, dolor sit amet consectetur adipisicing elit. 
        Sit dolore minima cupiditate error facilis quis! 
        Vitae vel nostrum est repellendus saepe ullam accusamus quam, 
        qui, laborum nisi eos, cumque voluptatem.
      </p>
    </div>
    <div class="city">
      <div class="city-header">City of green</div>
      <div class="img-bound">
        <img class="city-image" src="assets/images/city_3d_1.png" alt="">
      </div>
    </div>
  </div>

  <div class="footer" [ngClass]="isFooterHide ? 'footer-hidden' : '' ">
    <div class="social-media">
      <ul>
        <li *ngFor="let item of socialMedia">
            <a class="fab fa-{{item.name}} social-media-color" href="{{item.url}}"></a>
        </li>
      </ul>

      <i [ngClass]="isFooterHide ? 'fas fa-chevron-right' : 'fas fa-chevron-left' "   (click)="toggleFooter()"></i>
    </div>
  </div>

  <div class="background-change">
    <div class="background-cover">
      <button (click)="toggleBackground()">
        {{ backgroundType }}
        <i [ngClass]="isBackgroundChooserHide ? 'fas fa-chevron-up' : 'fas fa-chevron-down'"></i>
      </button>
      
      <div class="options" [ngClass]="isBackgroundChooserHide ? 'background-hidden' : ''">
        <div class="background-option" 
          *ngFor="let item of backgrounds" 
          (click)="changeBackgroundType(item)">{{ item }}</div>
      </div>
      
    </div>
  </div>
</div>

